Get current daily spending limit
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/accounts/daily-limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/accounts/daily-limit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/accounts/daily-limit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/accounts/daily-limit"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/accounts/daily-limit")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/accounts/daily-limit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"dailyLimit": 2500,
"dailyRemaining": 1000
}
}Account Management
Get current daily spending limit
Retrieves the current daily spending limit for the authenticated user’s Safe account.
GET
/
api
/
v1
/
accounts
/
daily-limit
Get current daily spending limit
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gnosispay.com/api/v1/accounts/daily-limit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.gnosispay.com/api/v1/accounts/daily-limit \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gnosispay.com/api/v1/accounts/daily-limit"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.gnosispay.com/api/v1/accounts/daily-limit"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.gnosispay.com/api/v1/accounts/daily-limit")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gnosispay.com/api/v1/accounts/daily-limit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"dailyLimit": 2500,
"dailyRemaining": 1000
}
}⌘I